service daemon/acpid/modules {
	need = system/initial 
	start {
		for x in ac battery button fan ibm_acpi processor thermal video ; do
			modprobe ${x} &> /dev/null
		done
		exit 0
	}
}

service daemon/acpid {
	need = daemon/acpid/modules system/localmount
	daemon = /usr/sbin/acpid
	daemon_args = -f -c /etc/acpi/events
}
