

service daemon/vmnet/create {
    need = system/initial system/mountroot
    start {	
	modprobe vmmon || exit 1
	modprobe vmnet || exit 1
	
	mknod -m 600 /dev/vmnet0 c 119 0
	mknod -m 600 /dev/vmnet1 c 119 1
	mknod -m 600 /dev/vmnet2 c 119 2
	mknod -m 600 /dev/vmnet3 c 119 3
    
    }
}

service daemon/vmnet {
    need = system/initial system/mountfs daemon/vmnet/create
    also_stop = daemon/vmnet/create
    daemon = /opt/vmware/bin/vmnet-bridge
    daemon_args = /dev/vmnet0 eth0
}
    

service daemon/vmware {
    need = system/initial daemon/vmnet
    also_stop = daemon/vmnet
}
}
