# xfs:       Starts the X Font Server
#
# Version:      @(#) /etc/init.d/xfs 2.0
#
# description: Starts and stops the X Font Server at boot time and shutdown. \
#              It also takes care of (re-)generating font lists.

service daemon/xfs {
	need = system/initial system/mountfs daemon/prexfs
	daemon = /usr/X11R6/bin/xfs
	daemon_args = -droppriv -nodaemon
}

service daemon/prexfs {
	need = system/initial system/mountfs system/bootmisc
	start {
		FONT_UNIX_DIR=/tmp/.font-unix
		rm -rf $FONT_UNIX_DIR
		mkdir $FONT_UNIX_DIR
		chown root:root $FONT_UNIX_DIR
		chmod 1777 $FONT_UNIX_DIR
	}
}
